org.apache.tamaya.inject

## Enum DynamicValue.UpdatePolicy

- java.lang.Object
- - java.lang.Enum<DynamicValue.UpdatePolicy>
  - - org.apache.tamaya.inject.DynamicValue.UpdatePolicy

- All Implemented Interfaces:
    Serializable, Comparable<DynamicValue.UpdatePolicy>
  Enclosing interface:
    DynamicValue<T>

      public static enum DynamicValue.UpdatePolicy
      extends Enum<DynamicValue.UpdatePolicy>

  Policy to control how new values are applied to this instance.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXPLCIT` New values or not applied, but stored in the newValue property.
    `IMMEDIATE` New values are applied immedately and registered listeners are informed about the change.
    `LOG_AND_DISCARD` Changes are logged before the are discarded.
    `NEVER` New values are always immedately discarded.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DynamicValue.UpdatePolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DynamicValue.UpdatePolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IMMEDIATE

          public static final DynamicValue.UpdatePolicy IMMEDIATE

      New values are applied immedately and registered listeners are informed about the change.

    - #### EXPLCIT

          public static final DynamicValue.UpdatePolicy EXPLCIT

      New values or not applied, but stored in the newValue property. Explcit call to #commit of #commitAndGet are required to accept the change and inform the listeners about the change.

    - #### NEVER

          public static final DynamicValue.UpdatePolicy NEVER

      New values are always immedately discarded.

    - #### LOG_AND_DISCARD

          public static final DynamicValue.UpdatePolicy LOG_AND_DISCARD

      Changes are logged before the are discarded.

  - ### Method Detail

    - #### values

          public static DynamicValue.UpdatePolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DynamicValue.UpdatePolicy c : DynamicValue.UpdatePolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DynamicValue.UpdatePolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014–2015 Apache Software Foundation. All rights reserved.